Support » Plugins and Hacks » [Resolved] [Plugin: Animated weather widget by weatherfor.us] Coding Error

[Resolved] [Plugin: Animated weather widget by weatherfor.us] Coding Error

  • The modifications you made are almost exactly what I was recommending. Looks good!

    There seems to be an issue with the code, now though…

    I’m getting:

    array(1) { ["location"]=> string(0) "" }

    on my website, just above and to the left of the “Weather for us 720px wide widget”

    The text is only there for this widget. It does not appear with the “Weather for us mini widget” nor any other widget I have available, in my theme.

    I see the “new hour precise forecast” you mention above, but it is not very clear how to get there, when you are the website’s visitor. The forecast screen is awesome, in appearance, but how to get there, needs to be more clear, to the end user.

    Finally, one of the things that has been really annoying, but doesn’t take away from the functionality, is the width of the blue colored area, for the “Weather for us 720px wide widget” There needs to be a way to modify the css for this widget or you need to make this widget the same width as your “new hour precise forecast” overlay.


Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author zenogaisis


    Fixed the dump issue in latest push check that out. I am working on redesigning the forecast and units icon 🙂 just hold on you would love it 🙂


    I’m not sure what you are calling the dump issue…

    However, if you are referring to:

    array(1) { ["location"]=> string(0) "" }

    it isn’t fixed.

    I’m getting this issue on multiple platforms (Apple MacBook Pro, iPhone, iPad & etc)

    Also, something in the way your plugin displays the widget, has a negative effect on the alignment and layout of the page.

    Plugin Author zenogaisis



    Have you downloaded the plugin again? I’ve updated the code since your reported me the bug and checked it out again. Have you got that later version update to version 1.4.1.


    No, I didn’t see there was an update to be installed. An available update to this plugin was never triggered in my WordPress Installation, probably because the plugin’s .TXT file says it requires WordPress Version 4, as the minimum version.

    I will update the plugin and give it a try.


    After updating to the new version, the “array” code snippet does go away.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] [Plugin: Animated weather widget by weatherfor.us] Coding Error’ is closed to new replies.